## MacPorts-2.11.6.tar.gz

=== tests/test/dependencies-a/DESCRIPTION ===
This test makes sure a dependency added in a variant block
(this is selected as default variant) is considered.

There is 1 test case.

=== tests/test/dependencies-b/DESCRIPTION ===
This test does nothing. (or: ensures a port without dependencies really
doesn't have any)

There is 1 test case.

=== tests/test/dependencies-c/DESCRIPTION ===
This test does the same as dependencies-a, but due to the transitive
nature of dependencies, also tests what dependencies-a has already tested.

There is 1 test case.

=== tests/test/envvariables/DESCRIPTION ===
This test ensures that variables set in the environment are available in the
Portfile. The test runs an 'exec sh' command that exports two variables (ENVA
and ENVB) and checks whether they get in the output file or not.

=== tests/test/site-tags/DESCRIPTION ===
This test checks if MacPorts can fetch files from different URLs for the
specified tags.

There is 1 test case that looks for errors in the output file.

=== tests/test/statefile-unknown-version/DESCRIPTION ===
This test checks that version 3 is not accepted. MacPorts keeps track 
of the build process (and which steps have been completed) in a statefile.

There are 2 test cases, one for the warnings and another that checks for the
staging into destroot.

=== tests/test/statefile-version1/DESCRIPTION ===
This test checks that a non-outdated statefile version doesn't trigger a
rebuild.

There are 2 test cases, one that makes sure the statefile doesn't get
discarded and another that looks for staging into destroot.

=== tests/test/statefile-version2-invalid/DESCRIPTION ===
This test checks that statefile version 2 without checksum field will cause a
warning message. MacPorts should never deal with a broken statefile.

There are 2 test cases, one that ensures a warning message gets thrown and
another that ensures staging into destroot.

=== tests/test/trace/DESCRIPTION ===
This test checks the 'port -t' command which creates a virtual sandbox by a 
mechanism known from Linux as library LD_PRELOADing.

There is 1 test case, which looks for errors in the output file.

=== tests/test/trace/Makefile ===
include ../../../Mk/macports.autoconf.mk

.PHONY: test

PWD=$(shell dirname `pwd`)

$(bindir)/port:
	@echo "Please install MacPorts before running this test"
	@exit 1

test:
	@PORTSRC=$(PORTSRC) $(bindir)/port clean > /dev/null
	@mkdir -p ../tracetesttmp
	@-[ "`id -u`" == "0" ] && chown $(RUNUSR) ../tracetesttmp
	@([ "`id -u`" == "0" ] && sudo -u $(RUNUSR) touch ../tracetesttmp/delete-trace) || touch ../tracetesttmp/delete-trace
	@([ "`id -u`" == "0" ] && sudo -u $(RUNUSR) touch ../tracetesttmp/rename-trace) || touch ../tracetesttmp/rename-trace
	@([ "`id -u`" == "0" ] && sudo -u $(RUNUSR) mkdir -p ../tracetesttmp/rmdir-trace) || mkdir -p ../tracetesttmp/rmdir-trace
	@rm -f /tmp/hello-trace
	@ln -sf /usr/share/man/man1/awk.1 /tmp/link-trace2
	@-[ "`id -u`" == "0" ] && chown -h $(RUNUSR) /tmp/link-trace2
	@PORTSRC=$(PORTSRC) $(bindir)/port -vt test > output 2>&1 || (cat output; exit 1)
	@rm -f /tmp/link-trace2
	@rm -f /tmp/hello-trace
	@rm -rf ../tracetesttmp
	@diff -u master output 2>&1 | tee difference
	@if [ -s difference ]; then \
		exit 1; \
	else \
		rm -f difference output; \
	fi

clean::
	@PORTSRC=$(PORTSRC) $(bindir)/port clean >/dev/null
	@rm -f output output.sed difference
	@rm -rf ../tracetesttmp

=== tests/test/xcodeversion/DESCRIPTION ===
This test checks the Xcode version. MacPorts needs at least Xcode 2.1.

There are 2 test cases, one for the Xcode version and another to check the
xcodebuild path.

=== src/package1.0/tests/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4

PortSystem              1.0

name                    fondu
version                 060102
revision                1
categories              print
license                 BSD
maintainers             nomaintainer
homepage                http://fondu.sourceforge.net/

description             A set of programs to interconvert between Mac font \
                        formats and pfb, ttf, otf and bdf files on UNIX.

long_description        Dealing with Mac fonts is hard on other operating \
                        systems because Mac fonts are stored in the resource \
                        fork, and other operating systems do not support \
                        this concept. Fondu will extract the resource fork \
                        from either a MacBinary file or a BinHex file. Ufond \
                        will create a resource fork inside a MacBinary file.

distfiles
extract {
    xinstall -d ${worksrcpath}
}

# Avoid dependencies on libcxx and a macports-clang compiler, because
# the mpkg test is fragile and assumes no dependencies.
configure.cxx_stdlib

use_configure   no
build {}

destroot {
    touch ${worksrcpath}/testfile
    xinstall -m 644 ${worksrcpath}/testfile ${destroot}${prefix}/bin
}

=== src/port1.0/tests/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
PortSystem 1.0

name                emptyport
version             0.2
categories          sysutils
platforms           darwin
license             BSD
maintainers         nomaintainer
supported_archs     noarch
description         Nothing
long_description    ${description}

homepage            https://github.com/kelseyhightower/nocode
distfiles

extract {
    xinstall -d ${worksrcpath}
}
patchfiles
patch {
    foreach patch $patchfiles {
        set fd [open ${filespath}/${patch} r]
        set var [gets $fd]
        close $fd
        set fd [open ${worksrcpath}/test_patch w+]
        puts $fd $var
        close $fd
    }
}
use_configure       no
build {}
destroot {
    xinstall -d ${destroot}${prefix}/share
    xinstall -d ${destroot}${prefix}/share/${name}
    touch ${destroot}${prefix}/share/${name}/EMPTY
}
test {
    touch ${worksrcpath}/README
    file delete -force ${worksrcpath}/README
}

livecheck.type  none

=== tests/test/arch-test/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4

PortSystem      1.0

name            arch-test
version         1
categories      test
maintainers     nomaintainer
description     Test port for architecture tests
homepage        https://www.macports.org/
configure.cxx_stdlib

long_description {*}${description}

distfiles
use_configure   no

variant declare_noarch description {Declare the port noarch} {
    supported_archs noarch
}
variant be_noarch description {Install noarch files} {}

if {[variant_isset be_noarch]} {
    build           {}
    destroot {
        system "touch ${destroot}${prefix}/share/${name}"
    }
} else {
    build {
        system -W ${workpath} "echo 'int main(void) { return 0; }' > exe.c"
        system -W ${workpath} "${configure.cc} ${configure.cc_archflags} -o exe exe.c"
    }
    destroot {
        xinstall ${workpath}/exe ${destroot}${prefix}/bin/exe
    }
}

=== tests/test/checksums-1/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4

PortSystem      1.0

name            checksum
version         1
categories      test
maintainers     opendarwin.org@darkart.com
description     Test port for checksum functionalities
homepage        https://www.macports.org/
platforms       darwin
supported_archs noarch
configure.cxx_stdlib

long_description ${description}

master_sites    file:///dev/null

fetch {
    system "mkdir -p $distpath"
    system "cat /dev/null > $distpath/$distname.tar.gz"
}

checksums       md5     d41d8cd98f00b204e9800998ecf8427e \
                sha1    da39a3ee5e6b4b0d3255bfef95601890afd80709 \
                rmd160  9c1185a5c5e9fc54612808977ee8f548b2258d31

extract         {}
use_configure   no
build           {}
destroot {
    system "touch ${destroot}${prefix}/lib/${name}"
}

test {
    # test is actually running checksum target
}

=== tests/test/dependencies-c/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4

PortSystem      1.0

name            dependencies-c
version         1
categories      test
maintainers     pguyot@kallisys.net
description     Test port for dependencies
homepage        https://www.macports.org/
platforms       darwin
supported_archs noarch
configure.cxx_stdlib

long_description ${description}

distfiles
use_configure   no
build           {}
destroot {
    system "touch ${destroot}${prefix}/lib/${name}"
}

default_variants +i_want_a

variant i_want_a {
    depends_lib-append  port:dependencies-a
}

test {
    # testing consists in processing dependencies
}

=== tests/test/statefile-unknown-version/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4

PortSystem          1.0
name                statefile-unknown-version
version             1
categories          test
maintainers         cal
description         Test port for statefiles of unknown version
homepage            https://www.macports.org/
platforms           darwin
supported_archs     noarch
configure.cxx_stdlib

long_description    ${description}

distfiles

fetch               {}
extract             {}
use_configure       no
build               {}
destroot            {
    system "touch ${destroot}${prefix}/lib/${name}"
}

test                {}

=== tests/test/statefile-version1-outdated/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4

PortSystem          1.0
name                statefile-version1-outdated
version             1
categories          test
maintainers         cal
description         Test port for outdated statefiles, version 1
homepage            https://www.macports.org/
platforms           darwin
supported_archs     noarch
configure.cxx_stdlib

long_description    ${description}

distfiles

fetch               {}
extract             {}
use_configure       no
build               {}
destroot            {
    system "touch ${destroot}${prefix}/lib/${name}"
}

test                {}

=== tests/test/statefile-version2-outdated/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4

PortSystem          1.0
name                statefile-version2-outdated
version             1
categories          test
maintainers         cal
description         Test port for outdated statefiles, version 2
homepage            https://www.macports.org/
platforms           darwin
supported_archs     noarch
configure.cxx_stdlib

long_description    ${description}

distfiles

fetch               {}
extract             {}
use_configure       no
build               {}
destroot            {
    system "touch ${destroot}${prefix}/lib/${name}"
}

test                {}

=== tests/test/variants/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4

PortSystem 1.0

name            variants
version         1
categories      test
maintainers     pguyot@kallisys.net
description     Test port for variants logic
homepage        https://www.macports.org/
platforms       darwin
supported_archs noarch
configure.cxx_stdlib

long_description ${description}

distfiles
use_configure   no
build           {}
destroot {
    system "touch ${destroot}${prefix}/lib/${name}"
}

test {
    # test is actually installing this.
}

# We override universal variant.
variant universal {
    puts "Universal Variant"
}

# We define the utopia variant twice
variant utopia {
    puts "Utopia variant -- 1"
}
variant utopia {
    puts "Utopia variant -- 2"
}

default_variants +utopia
